Bug 1093024 - [Build 20180508] openQA test fails in start_install - " nothing provides libwebp.so.6()(64bit) needed by libavcodec57-3.4.2-1.1.ppc64le"
[Build 20180508] openQA test fails in start_install - " nothing provides libw...
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Critical (vote)
: ---
Assigned To: Fabian Vogt
E-mail List
https://openqa.opensuse.org/tests/674...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-12 07:33 UTC by Oliver Kurz
Modified: 2018-07-09 15:42 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Kurz 2018-05-12 07:33:45 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-ppc64le-RAID10@ppc64le fails in
[start_install](https://openqa.opensuse.org/tests/674323/modules/start_install/steps/3)


## Reproducible

Fails since (at least) Build [20180504](https://openqa.opensuse.org/tests/670437)


## Expected result

Last good: [20180501](https://openqa.opensuse.org/tests/667928) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?machine=ppc64le&test=RAID10&flavor=DVD&arch=ppc64le&distri=opensuse&version=Tumbleweed)
Comment 1 Michel Normand 2018-05-13 01:04:09 UTC
Domninique, I assume this is related to the discussion on irc, that need some binaries cleanup in openSUSE:Factory:PowerPC ffmpeg3:
===
(14:17:07) michel_mno: Hello DimStar, do we need ffmpeg3 binaries to be cleanup for TW PowerPC as build marked as disabled ? https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/ffmpeg3#   I assume this is the cause of some openqa tests failing because packages has dependencies with it https://openqa.opensuse.org/tests/674323#step/start_install/3 "nothing provides libwebp.so.6()(64bit) needed by libavcodec57-3.4.2-1.1.ppc64le"
(14:18:10) DimStar: michel_mno: that ffmpeg migration is indeed a bit of a mess; the best couse I could do for now in oS:F is to disable/wipe ffmpeg3 until ffmpeg moves to version 4; otherwise we have two packages producing binaries overwriting each other
===
Comment 2 Jan Engelhardt 2018-05-28 12:16:09 UTC
waiting on repo checker, sr 602246
Comment 3 Dominique Leuenberger 2018-05-29 07:33:11 UTC
(In reply to Jan Engelhardt from comment #2)
> waiting on repo checker, sr 602246

Repo-checker won't say anything before not everything builds:
https://build.opensuse.org/project/staging_projects/openSUSE:Factory/K
Comment 4 Jan Engelhardt 2018-05-29 07:37:59 UTC
Sorry I can't do anything here, it all depends on the acceptance of the ffmpeg submission, which is not up to me but dimstar.
Comment 5 Dominique Leuenberger 2018-05-29 10:04:52 UTC
(In reply to Jan Engelhardt from comment #4)
> Sorry I can't do anything here, it all depends on the acceptance of the
> ffmpeg submission, which is not up to me but dimstar.

I agree on me being responsible for the acceptance.. but it is up to you to drive the fixes needed to reach that point. So far it's simply a no-go, as the rings break. you've been with the distro long enough to know this
Comment 6 Jan Engelhardt 2018-05-29 11:28:15 UTC
I looked at :K and saw "kontact" in OpenQA failing, but for no reason related to ffmpeg: the program was not installed it seemed.

But now :K got reoganized, so let's see what comes out of that run.
Comment 7 Dominique Leuenberger 2018-05-29 11:49:34 UTC
Ignore openQA as long as the builds don't succeed - the failing packages have been mentioned in multiple of the weekly reviews and on the staging project

i.e.
FFmpeg 4 (still opencv and libqt5-qtwebengine failing)
Comment 8 Jan Engelhardt 2018-05-29 14:30:31 UTC
opencv libqt5-qtwebengine received SRs now.
Comment 9 Jan Engelhardt 2018-05-29 17:58:38 UTC
Apparently opencv is new enough. So they say.
https://build.opensuse.org/request/show/612883
Comment 10 Fabian Vogt 2018-07-09 15:08:00 UTC
(In reply to Jan Engelhardt from comment #9)
> Apparently opencv is new enough. So they say.
> https://build.opensuse.org/request/show/612883

Yes, it was indeed like we said - fixed!
Comment 11 Oliver Kurz 2018-07-09 15:42:49 UTC
https://openqa.opensuse.org/tests/704150